---
title: RTCIceCandidatePairStats.lastRequestTimestamp
slug: Web/API/RTCIceCandidatePairStats/lastRequestTimestamp
tags:
  - API
  - Candidate
  - Connectivity
  - ICE
  - Networking
  - Property
  - RTCIceCandidatePairStats
  - Reference
  - STUN
  - Statistics
  - Stats
  - WebRTC
  - WebRTC API
  - lastRequestTimestamp
  - timeStamp
---
<p>{{APIRef("WebRTC")}}</p>

<p><span class="seoSummary">The {{domxref("RTCIceCandidatePairStats")}} property <strong><code>lastRequestTimestamp</code></strong> indicates the time at which the most recent {{Glossary("STUN")}} request was sent on the described candidate pair.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>lastRequestTimestamp</em> = <em>rtcIceCandidatePairStats</em>.lastRequestTimestamp;</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("DOMHighResTimeStamp")}} object indicating the timestamp at which the last (most recent) STUN request was sent on the connection indicated by the described pair of candidates.</p>

<p>You can use this value in combination with {{domxref("RTCIceCandidatePairStats.firstRequestTimestamp", "firstRequestTimestamp")}} and {{domxref("RTCIceCandidatePairStats.requestsSent", "requestsSent")}} to compute the average interval between consecutive connectivity checks:</p>

<pre class="brush: js">avgCheckInterval = (candidatePairStats.lastRequestTimestamp -
                    candidatePairStats.firstRequestTimestamp) /
                   candidatePairStats.requestsSent;</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{ SpecName('WebRTC Statistics Identifiers', '#dom-rtcicecandidatepairstats-lastrequesttimestamp', 'RTCIceCandidatePairStats.lastRequestTimestamp') }}</td>
   <td>{{ Spec2('WebRTC Statistics Identifiers') }}</td>
   <td>Initial specification.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCIceCandidatePairStats.lastRequestTimestamp")}}</p>
